year='2016'
month='12'
day='09'   % previous day

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%step1: get files from ftp files
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%AMSR2 NRT
%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
% Just downloasd yourself!!!!!
%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


% SSMI
fpath='.\DATA\SSMI_NRT';
filename = ['nt_' year month day '_f18_nrt_s.bin']; 

host='sidads.colorado.edu'
%urlwrite(['ftp://sidads.colorado.edu/pub/DATASETS/nsidc0081_nrt_nasateam_seaice/south/',filename],filename);
SSMI=ftp(host)
cd(SSMI,'pub/DATASETS/nsidc0081_nrt_nasateam_seaice/south');

mget(SSMI,filename)
movefile(filename,fpath); 
close(SSMI)


%AMSR 3.125

fpath='.\DATA\AMSR2_3km';
filename = ['Ant_' year month day '_res3.125_pyres.nc.gz']; 

host='ftp-projects.zmaw.de'

AMSR2_3km=ftp(host,'anonymous','showard@esr.org')
cd(AMSR2_3km,'seaice/AMSR2/3.125km');

mget(AMSR2_3km,filename)
movefile(filename,fpath); 
close(AMSR2_3km)

% unzip AMSR2 3km
cd('.\DATA\AMSR2_3km\')
gunzip(filename)

cd('..\..\')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  make images for SSMI, AMSR2-NRT, and AMSR2 3.125km data files
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Y=str2num(year);
M=str2num(month);
D=str2num(day);


SDtime=datenum(Y,M,D);            % year, month, day

%%%%%%% SSMI

pathforoutput='.\IMAGES\SSMI_NRT\'

% In this version, SSMI is returned from script os I can look at the output
[SSMI]=SSMINRT_to_PNG_S(SDtime,pathforoutput);

%%%%    AMSR2 3km
pathforoutput='.\IMAGES\AMSR2_3km\'
AMSR2_3km_to_PNG_S(SDtime,pathforoutput)


%%%     AMSR2-NRT
pathforoutput='.\IMAGES\AMSR2_NRT\'
type='R'                               % Type: 'P'- partial  'R'- Complete                        
AMSR2NRT_to_PNG_S(SDtime,type,pathforoutput)

SDtimeP1=datenum(Y,M,D+1);            % year, month, day
type='P'                               % Type: 'P'- partial  'R'- Complete 
AMSR2NRT_to_PNG_S(SDtimeP1,type,pathforoutput)









